## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         srcname     google-cloud-firestore
%global         forgeurl    https://github.com/googleapis/python-firestore
Version:        2.12.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Firestore API

License:        Apache-2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch
# Expected hash values in test_documentsnapshot___hash__ assume a 64-bit
# platform. We could make the base package arched and the binary package
# arched, and conditionally skip this test on 32-bit architectures; or, we can
# just exclude 32-bit architectures, ensuring the package will be built on a
# 64-bit platform.
ExcludeArch:    %{ix86}

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(aiounittest)
BuildRequires:  python3dist(google-cloud-testutils)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
The Google Cloud Firestore API is a flexible, scalable database for mobile,
web, and server development from Firebase and Google Cloud Platform.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unnecessary script.
rm -f %{buildroot}%{_bindir}/fixup*.py


%check
%pyproject_check_import

%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit -k "not test_update_testprotos and not test_delete_testprotos and not test_listen_testprotos"
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc *.rst *.md samples
%{python3_sitelib}/google_cloud_firestore-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Tue Sep 12 2023 Packit <hello@packit.dev> - 2.12.0-1
- [packit] 2.12.0 upstream release

* Tue Jul 25 2023 Major Hayden <major@redhat.com> - 2.11.1-6
- Disable protocol-related tests which need networking

* Tue Jul 25 2023 Major Hayden <major@redhat.com> - 2.11.1-5
- Add packit config

* Mon Jul 24 2023 Major Hayden <major@redhat.com> - 2.11.1-4
- Skip tests that require networking

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 2.11.1-2
- Rebuilt for Python 3.12

* Wed Apr 26 2023 Major Hayden <major@redhat.com> - 2.11.1-1
- Update to 2.11.1 rhbz#2189988

* Thu Apr 06 2023 Major Hayden <major@redhat.com> - 2.11.0-1
- Update to 2.11.0 rhbz#2184085

* Mon Mar 27 2023 Major Hayden <major@redhat.com> - 2.10.1-1
- Update to 2.10.1 rhbz#2182124

* Wed Feb 22 2023 Major Hayden <major@redhat.com> - 2.10.0-1
- Update to 2.10.0 rhbz#2172324

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 2.9.1-1
- Update to 2.9.1

* Mon Feb 20 2023 Major Hayden <major@redhat.com> - 2.7.2-2
- Disable tests temporarily to fix FTBFS

* Mon Feb 20 2023 Major Hayden <major@redhat.com> - 2.7.2-1
- Revert "Update to 2.7.3 rhbz#2152045"

* Mon Feb 20 2023 Major Hayden <major@redhat.com> - 2.7.3-1
- Update to 2.7.3 rhbz#2152045

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 2.7.2-1
- Update to 2.7.2 rhbz#2131890

* Tue Sep 20 2022 fkolwa <fkolwa@redhat.com> - 2.7.0-1
- Update to 2.7.0 rhbz#2128083

* Tue Aug 16 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.1-2
- Add ExcludeArch for 32-bit x86

* Tue Aug 16 2022 Major Hayden <major@redhat.com> - 2.6.1-1
- Update to 2.6.1 rhbz#2118754

* Wed Jul 27 2022 Major Hayden <major@redhat.com> - 2.6.0-1
- Update to 2.6.0 rhbz#2108121

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> - 2.5.3-2
- Rebuilt for Python 3.11

* Wed Jun 15 2022 Major Hayden <major@redhat.com> - 2.5.3-1
- Update to 2.5.3

* Tue Jun 14 2022 Major Hayden <major@redhat.com> - 2.5.2-3
- Add pytest-asyncio for tests

* Wed Jun 01 2022 Major Hayden <major@redhat.com> - 2.5.2-2
- Allow all tests to run

* Wed Jun 01 2022 Major Hayden 🤠 <major@redhat.com> - 2.5.2-1
- 🚀 Update to 2.5.2

* Tue May 31 2022 Major Hayden 🤠 <major@redhat.com> - 2.5.1-1
- Update to 2.5.1

* Thu May 19 2022 Major Hayden <major@mhtx.net> - 2.5.0-1
- 🚀 Update to 2.5.0

* Wed Mar 09 2022 Major Hayden <major@mhtx.net> - 2.4.0-2
- Update patches for 2.4.0

* Wed Mar 09 2022 Major Hayden <major@mhtx.net> - 2.4.0-1
- Update to 2.4.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Oct 27 2021 Major Hayden <major@mhtx.net> - 2.3.4-3
- Update unittest.mock patch

* Wed Oct 27 2021 Major Hayden <major@mhtx.net> - 2.3.4-2
- Remove docs BuildRequires

* Wed Oct 27 2021 Major Hayden <major@mhtx.net> - 2.3.4-1
- Update to 2.3.4

* Fri Sep 17 2021 Major Hayden <major@mhtx.net> - 2.3.1-3
- Add rpm-autospec

* Fri Sep 17 2021 Major Hayden <major@mhtx.net> - 2.3.1-2
- Fix tests with PEP 420 workaround

* Mon Sep 13 2021 Major Hayden <major@mhtx.net> - 2.3.1-1
- Initial import (#1999312)
